Wikipedia.org Portal: add license information for page code
Closed, ResolvedPublic

Description

This is an additional ticket to track the licensing of the wikipedia.org portal page code.

This ticket is separate from the portal page content that is addressed here. I've added the conversation that has sparked this separate ticket, due to it's complicated nature.

debt created this task.Jun 2 2016, 7:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2016, 7:51 PM
debt triaged this task as Low priority.Jun 2 2016, 7:51 PM

Change 290953 had a related patch set uploaded (by Jdrewniak):
T135902 readme, license and contribution files - README file - CONTRIBUTING file - LICENSE file - CC license on wikipedia.org

https://gerrit.wikimedia.org/r/290953

debt added a comment.Jun 7 2016, 12:03 AM

Adding new information from Legal to create a new license file:

Add the license by adding the following text to a file called LICENSE in the root director of the repo:

Copyright (c) 2016 [Either: Wikimedia Foundation, or a list of individual engineers who contributed to it]

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

debt raised the priority of this task from Low to Normal.

Change 290953 merged by jenkins-bot:
T135902 readme, license and contribution files - README file - CONTRIBUTING file - LICENSE file - CC license on wikipedia.org

https://gerrit.wikimedia.org/r/290953

This was pushed to production on June 7, 2016

The wikipedia.org page code license file is here
https://github.com/wikimedia/portals/blob/master/LICENSE

debt closed this task as Resolved.
debt claimed this task.
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Aug 12 2016, 8:01 PM